Delete document's attribute value
DELETE/documents/:documentId/attributes/:attributeKey/:attributeValue
Delete a specific document attribute key/value combination; the request will be ignored if there is no valid key/value combination found.
Attributes defined with dataType JSON are rejected with 400 Bad Request, regardless of the supplied attributeValue. No data is changed. Delete the entire JSON attribute using DELETE /documents/{documentId}/attributes/{attributeKey} instead.
Requires DELETE_DOCUMENT_ATTRIBUTES or DELETE. ADMIN retains access.
Request
Responses
- 200
- 400
200 OK
Response Headers
Access-Control-Allow-Origin
Access-Control-Allow-Methods
Access-Control-Allow-Headers
JSON attributes must be deleted by attribute key, or attribute validation failed.